For the complete documentation index, see llms.txt. This page is also available as Markdown.

Skript Modul Gruppe

Skript-Modul-Gruppe

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json

Skript-Modul-Gruppe

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

namestring · max: 255Required

Name

Pattern: [a-zA-Z0-9_-]*
descriptionstringOptional

Beschreibung

appIdentifierstring · uuidOptional

Identifier der App

get/cmn/scripting/module-groups/{id}
GET /api/cmn/scripting/module-groups/{id} HTTP/1.1
Host: 10.102.24.197:32795
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "name": "text",
  "description": "text",
  "appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "moduleRefs": []
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body

Skript-Modul-Gruppe

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

namestring · max: 255Required

Name

Pattern: [a-zA-Z0-9_-]*
descriptionstringOptional

Beschreibung

appIdentifierstring · uuidOptional

Identifier der App

Responses
200

successful operation

application/json

Skript-Modul-Gruppe

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

namestring · max: 255Required

Name

Pattern: [a-zA-Z0-9_-]*
descriptionstringOptional

Beschreibung

appIdentifierstring · uuidOptional

Identifier der App

put/cmn/scripting/module-groups/{id}
PUT /api/cmn/scripting/module-groups/{id} HTTP/1.1
Host: 10.102.24.197:32795
Content-Type: application/json
Accept: */*
Content-Length: 130

{
  "version": "text",
  "info": {},
  "id": "text",
  "name": "text",
  "description": "text",
  "appIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "name": "text",
  "description": "text",
  "appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "moduleRefs": []
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/cmn/scripting/module-groups/{id}
DELETE /api/cmn/scripting/module-groups/{id} HTTP/1.1
Host: 10.102.24.197:32795
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

Create new Resource

post
Body

Skript-Modul-Gruppe

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

namestring · max: 255Required

Name

Pattern: [a-zA-Z0-9_-]*
descriptionstringOptional

Beschreibung

appIdentifierstring · uuidOptional

Identifier der App

Responses
200

successful operation

application/json

Skript-Modul-Gruppe

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

namestring · max: 255Required

Name

Pattern: [a-zA-Z0-9_-]*
descriptionstringOptional

Beschreibung

appIdentifierstring · uuidOptional

Identifier der App

post/cmn/scripting/module-groups
POST /api/cmn/scripting/module-groups HTTP/1.1
Host: 10.102.24.197:32795
Content-Type: application/json
Accept: */*
Content-Length: 130

{
  "version": "text",
  "info": {},
  "id": "text",
  "name": "text",
  "description": "text",
  "appIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "name": "text",
  "description": "text",
  "appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "moduleRefs": []
}

Last updated

Was this helpful?